## org.h2.util
Class ExactUTF8InputStreamReader

    java.lang.Object
      java.io.Reader
          org.h2.util.ExactUTF8InputStreamReader

All Implemented Interfaces:
  java.io.Closeable, java.lang.Readable

    public class ExactUTF8InputStreamReader

extends java.io.Reader

The regular InputStreamReader may read some more bytes than required. If this is a problem, use this class.

Field Summary

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`ExactUTF8InputStreamReader(java.io.InputStream in)`

Method Summary
`void` `close()`
`int` `read(char[] chars, int off, int len)`

Methods inherited from class java.io.Reader
`mark, markSupported, read, read, read, ready, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExactUTF8InputStreamReader

    public ExactUTF8InputStreamReader(java.io.InputStream in)

Method Detail

### close

    public void close()

  Specified by:
    `close` in interface `java.io.Closeable`
  Specified by:
    `close` in class `java.io.Reader`

### read

    public int read(char[] chars,
                    int off,
                    int len)
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.Reader`
  Throws:
    `java.io.IOException`